summaryrefslogtreecommitdiffstats
path: root/jjb/dmm
diff options
context:
space:
mode:
authorsharath <sharathkumarboyanapally@gmail.com>2018-08-09 14:41:56 +0530
committersharath <sharathkumarboyanapally@gmail.com>2018-08-09 14:54:42 +0530
commitd695b59cc7017264f1f089a4b5ad0efc207fafde (patch)
treec4377a7fb9e2b49aea3f842c5147d07090edbc78 /jjb/dmm
parent65828bfb56d7cf187226f5ccfeb8382ad2887451 (diff)
enhance dmm checksytle job
Change-Id: Ia6307a87cf1d95410d77336283b016f2c9eeef5a Signed-off-by: sharath <sharathkumarboyanapally@gmail.com>
Diffstat (limited to 'jjb/dmm')
-rw-r--r--jjb/dmm/include-raw-dmm-test-checkstyle.sh18
1 files changed, 12 insertions, 6 deletions
diff --git a/jjb/dmm/include-raw-dmm-test-checkstyle.sh b/jjb/dmm/include-raw-dmm-test-checkstyle.sh
index 3811554ec..90b307141 100644
--- a/jjb/dmm/include-raw-dmm-test-checkstyle.sh
+++ b/jjb/dmm/include-raw-dmm-test-checkstyle.sh
@@ -12,12 +12,18 @@
# See the License for the specific language governing permissions and
# limitations under the License.
-cd build/
-cmake ..
-make checkstyle
-if [ $? -eq 0 ]; then
- echo "DMM checkstyle is SUCCESS"
+if grep 'checkstyle' CMakeLists.txt > /dev/null
+then
+ cd build/
+ cmake ..
+ make checkstyle
+ if [ $? -eq 0 ]; then
+ echo "DMM checkstyle is SUCCESS"
+ else
+ echo "DMM checkstyle has FAILED"
+ exit 1
+ fi
else
- echo "DMM checkstyle has FAILED"
+ echo "Can't find checkstyle target in CMakeLists.txt- skipping test checkstyle"
exit 1
fi \ No newline at end of file